#include "testlib.h"
 
using namespace std;

const int MIN_N = 1;
const int MAX_N = 10'000;
const int MIN_K = 2;
const int MAX_K = 16;
const int MIN_H = 1;
const int MAX_H = 1'000'000'000;
 
int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    int n = inf.readInt(MIN_N, MAX_N, "n");
    inf.readSpace();
    int k = inf.readInt(MIN_K, MAX_K, "k");
    inf.readEoln();
    for (int i = 1; i <= n; i++) {
        std::ignore = inf.readInt(MIN_H, MAX_H, "h_" + toString(i));
        inf.readEoln();
    }
    inf.readEof();
}
